package org.richfaces.component;

import javax.faces.component.UIComponent;
import javax.faces.event.FacesEvent;
import javax.faces.event.FacesListener;

public class SelectSuggestionEvent extends FacesEvent {

	private static final long serialVersionUID = 1L;

	public SelectSuggestionEvent(UIComponent component) {
		super(component);
	}

	public boolean isAppropriateListener(FacesListener listener) {
		return false;
	}

	public void processListener(FacesListener listener) {
		throw new UnsupportedOperationException();
	}

}
